Subject: Re: [Hipsec] Adam Roach's No Objection on draft-ietf-hip-native-nat-traversal-30: (with COMMENT)

From: Miika Komu <[email-masked]>
Date: Fri, 6 Mar 2020 14:33:06 +0000

Hi Adam,

ma, 2020-02-24 kello 09:15 -0800, Adam Roach via Datatracker kirjoitti:
> Adam Roach has entered the following ballot position for
> draft-ietf-hip-native-nat-traversal-30: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut
> this
> introductory paragraph, however.)
> 
> 
> Please refer to 
> https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-hip-native-nat-traversal/
> 
> 
> 
> -------------------------------------------------------------------
> ---
> COMMENT:
> -------------------------------------------------------------------
> ---
> 
> Thanks to the authors for taking some of the concerns I laid out in
> my original
> ballot into account. I still do not believe this approach is good for
> HIP's
> benefit, but am no longer worried about collateral damage from other
> protocols
> imitating this approach. Accordingly, I am balloting "No Objection."
> 
> There is one remaining comment from my initial review that I think
> can and
> should be addressed prior to publication:
> 
> Appendix B:
> 
> >  o  Unlike in ICE, the addresses are not XOR-ed in Native ICE-HIP
> >     protocol in order to avoid middlebox tampering.
> 
> This bullet should explain why such obfuscation is unnecessary.

based on discussion with Rescolarla, it actually says:

"Unlike in ICE, the addresses are not XOR-ed in Native ICE-HIP protocol
but rather encrypted to avoid middlebox tampering."

https://tools.ietf.org/html/draft-ietf-hip-native-nat-traversal-30#appendix-B

P.S. Thanks again for your time and effort in reviewing the document!